/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flood_duration;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.math.DoubleRange;
import org.dive4elements.river.artifacts.common.AbstractCalculationResults;
import org.dive4elements.river.artifacts.model.WQDay;
import org.dive4elements.river.artifacts.sinfo.util.RiverInfo;
import org.dive4elements.river.jfree.StickyAxisAnnotation;

/**
 * @author Gernot Belger
 */
final class FloodDurationCalculationResults extends AbstractCalculationResults<FloodDurationCalculationResult> {

    private static final long serialVersionUID = 1L;

    public FloodDurationCalculationResults(final String calcModeLabel, final String user, final RiverInfo river, final DoubleRange calcRange) {
        super(calcModeLabel, user, river, calcRange);
        this.mainValueWAnnotations = new ArrayList<>();
        this.mainValueQAnnotations = new ArrayList<>();
    }

    private WQDay durationCurve;

    public WQDay getDurationCurve() {
        return this.durationCurve;
    }

    public void setDurationCurve(final WQDay durationCurve) {
        this.durationCurve = durationCurve;
    }

    private final List<StickyAxisAnnotation> mainValueWAnnotations;

    public List<StickyAxisAnnotation> getMainValueWAnnotations() {
        return this.mainValueWAnnotations;
    }

    private final List<StickyAxisAnnotation> mainValueQAnnotations;

    public List<StickyAxisAnnotation> getMainValueQAnnotations() {
        return this.mainValueQAnnotations;
    }

    // private StickyAxisAnnotation infrastructureWAnnotation;
    //
    // public StickyAxisAnnotation getInfrastructureWAnnotation() {
    // return this.infrastructureWAnnotation;
    // }
    //
    // public void setInfrastructureWAnnotation(final StickyAxisAnnotation infrastructureWAnnotation) {
    // this.infrastructureWAnnotation = infrastructureWAnnotation;
    // }
    //
    // private StickyAxisAnnotation infrastructureQAnnotation;
    //
    // public StickyAxisAnnotation getInfrastructureQAnnotation() {
    // return this.infrastructureQAnnotation;
    // }
    //
    // public void setInfrastructureQAnnotation(final StickyAxisAnnotation infrastructureQAnnotation) {
    // this.infrastructureQAnnotation = infrastructureQAnnotation;
    // }
}